package co.yixiang.yshop.module.pay.enums;

import co.yixiang.yshop.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 支付服务商配置 TODO 补充编号 ==========
    ErrorCode MERCHANT_DETAILS_NOT_EXISTS = new ErrorCode(1008009000, "支付服务商配置不存在");

    ErrorCode PAY_TYPE_NOT_EXISTS = new ErrorCode(800000000, "支付类型不存在");

    ErrorCode PAY_TYPE_IS_EXISTS = new ErrorCode(800000001, "支付类型重复");

    ErrorCode PAY_ID_IS_EXISTS = new ErrorCode(800000002, "支付id重复");
}

